Index: LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/addfi_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE control_mod, ONLY : planet_type
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE comgeom_mod_h
   IMPLICIT NONE
Index: LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/advect_new_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
   !=======================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_loc.f90	(revision 5285)
@@ -24,6 +24,5 @@
    USE strings_mod, ONLY: int2str
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
    !
Index: LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/advtrac_mod.f90	(revision 5285)
@@ -11,6 +11,5 @@
   USE vlspltgen_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/allocate_field_mod.f90	(revision 5285)
@@ -1,6 +1,5 @@
 MODULE allocate_field_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 
   IMPLICIT NONE; PRIVATE
Index: LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/bernoui_loc.f90	(revision 5285)
@@ -3,6 +3,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/bilan_dyn_loc.f90	(revision 5285)
@@ -22,6 +22,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/caladvtrac_loc.f90	(revision 5285)
@@ -18,6 +18,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/caladvtrac_mod.f90	(revision 5285)
@@ -35,6 +35,5 @@
   USE groupe_mod 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/caldyn_loc.f90	(revision 5285)
@@ -10,6 +10,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/caldyn_mod.f90	(revision 5285)
@@ -23,6 +23,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE advect_new_mod, ONLY : advect_new_allocate
   IMPLICIT NONE
Index: LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/call_calfis_mod.f90	(revision 5285)
@@ -37,6 +37,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE infotrac, ONLY: nqtot
   IMPLICIT NONE
@@ -75,6 +74,5 @@
                          phis_dyn,q_dyn,flxw_dyn)
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE exner_hyb_loc_m, only: exner_hyb_loc
   use exner_milieu_loc_m, only: exner_milieu_loc
Index: LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/call_dissip_mod.f90	(revision 5285)
@@ -25,6 +25,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE dissip_mod, ONLY : dissip_allocate
   IMPLICIT NONE
@@ -83,6 +82,5 @@
   SUBROUTINE call_dissip(ucov_dyn,vcov_dyn,teta_dyn,p_dyn,pk_dyn,ps_dyn)
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE parallel_lmdz
   USE times
Index: LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/conf_gcm.F90	(revision 5285)
@@ -26,6 +26,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !-----------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/convflu_loc.f90	(revision 5285)
@@ -18,6 +18,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas1_loc.f90	(revision 5285)
@@ -10,6 +10,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas2_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/convmas_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/covcont_loc.f90	(revision 5285)
@@ -3,6 +3,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/covnat_loc.f90	(revision 5285)
@@ -6,6 +6,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dissip_loc.f90	(revision 5285)
@@ -13,6 +13,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_gam_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/diverg_p.f90	(revision 5285)
@@ -11,6 +11,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/divergf_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/divgrad2_loc.f90	(revision 5285)
@@ -17,6 +17,5 @@
   USE divgrad2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dteta1_loc.f90	(revision 5285)
@@ -4,6 +4,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dudv1_loc.f90	(revision 5285)
@@ -2,6 +2,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dudv2_loc.f90	(revision 5285)
@@ -2,6 +2,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 5285)
@@ -27,6 +27,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_loc.f90	(revision 5285)
@@ -24,6 +24,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE comgeom_mod_h
   USE iniprint_mod_h
@@ -179,6 +178,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE iniprint_mod_h
 IMPLICIT NONE
Index: LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/dynredem_mod.f90	(revision 5285)
@@ -1,6 +1,5 @@
 MODULE dynredem_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE parallel_lmdz
   USE mod_hallo
Index: LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/enercin_loc.f90	(revision 5285)
@@ -8,6 +8,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_hyb_loc_m.f90	(revision 5285)
@@ -40,6 +40,5 @@
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
     !
Index: LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/exner_milieu_loc_m.f90	(revision 5285)
@@ -36,6 +36,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
     !
Index: LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/flumass_loc.f90	(revision 5285)
@@ -8,6 +8,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/fluxstokenc_p.f90	(revision 5285)
@@ -18,6 +18,5 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/friction_loc.f90	(revision 5285)
@@ -11,6 +11,5 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/gcm.F90	(revision 5285)
@@ -30,6 +30,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE tracstoke_mod_h
 IMPLICIT NONE
Index: LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/geopot_loc.f90	(revision 5285)
@@ -2,6 +2,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
   !=======================================================================
Index: LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_u_scal_loc.f90	(revision 5285)
@@ -28,6 +28,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !-----------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/gr_v_scal_loc.f90	(revision 5285)
@@ -28,6 +28,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !-----------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/grad_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/grad_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/grad_p.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/gradiv2_loc.f90	(revision 5285)
@@ -22,6 +22,5 @@
   USE gradiv2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/groupe_loc.f90	(revision 5285)
@@ -7,6 +7,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/groupe_mod.f90	(revision 5285)
@@ -13,6 +13,5 @@
   USE advtrac_mod, ONLY : advtrac_allocate 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/groupeun_loc.f90	(revision 5285)
@@ -5,6 +5,5 @@
   USE comconst_mod, ONLY: ngroup
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -142,6 +141,5 @@
   USE comconst_mod, ONLY: ngroup
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/guide_loc_mod.f90	(revision 5285)
@@ -19,6 +19,5 @@
   USE pres2lev_mod, only: pres2lev
 
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
 IMPLICIT NONE
 
@@ -373,6 +372,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -736,6 +734,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -762,6 +759,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -791,6 +787,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 IMPLICIT NONE
 
@@ -866,6 +861,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -941,6 +935,5 @@
   USE comvert_mod, ONLY: preff, pressure_exner, bp, ap, disvert_type
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -1431,6 +1424,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
     USE comgeom2_mod_h
     implicit none
@@ -1599,6 +1591,5 @@
     USE netcdf, ONLY: nf90_put_var
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -1919,6 +1910,5 @@
     USE netcdf, ONLY: nf90_put_var
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -2200,6 +2190,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
     USE comgeom2_mod_h
 IMPLICIT NONE
@@ -2425,6 +2414,5 @@
 use mod_hallo
 USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
@@ -2458,6 +2446,5 @@
 subroutine dumpall
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-     USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+     USE paramet_mod_h
      USE comgeom_mod_h
 implicit none
Index: LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5285)
@@ -30,6 +30,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5285)
@@ -20,6 +20,5 @@
 
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5285)
@@ -19,6 +19,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5285)
@@ -19,6 +19,5 @@
 
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5285)
@@ -19,6 +19,5 @@
   USE strings_mod, ONLY: int2str
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/integrd_mod.f90	(revision 5285)
@@ -14,6 +14,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE advect_new_mod,ONLY : advect_new_allocate
   IMPLICIT NONE
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5285)
@@ -14,6 +14,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5285)
@@ -13,6 +13,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5285)
@@ -14,6 +14,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5285)
@@ -44,6 +44,5 @@
 
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/leapfrog_mod.f90	(revision 5285)
@@ -40,6 +40,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
   USE infotrac
   USE caldyn_mod,ONLY : caldyn_allocate
Index: LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5285)
@@ -16,6 +16,5 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_filtreg_p.F90	(revision 5285)
@@ -14,6 +14,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_hallo.f90	(revision 5285)
@@ -69,6 +69,5 @@
   subroutine Init_mod_hallo
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
     USE IOIPSL
     implicit none
@@ -1093,6 +1092,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+  USE paramet_mod_h
     IMPLICIT NONE
     
@@ -1345,6 +1343,5 @@
     subroutine SendRequest(a_Request)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
     USE lmdz_mpi
       implicit none
@@ -1465,6 +1462,5 @@
    subroutine WaitRequest(a_Request)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    USE lmdz_mpi
    implicit none
@@ -1600,6 +1596,5 @@
    subroutine WaitRecvRequest(a_Request)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    USE lmdz_mpi
    implicit none
@@ -1673,6 +1668,5 @@
     subroutine CopyField(FieldS,FieldR,ij,ll,jj_Nb_New)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
       implicit none
     
@@ -1712,6 +1706,5 @@
   subroutine CopyFieldHallo(FieldS,FieldR,ij,ll,jj_Nb_New,Up,Down)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
       implicit none
     
@@ -1753,6 +1746,5 @@
    subroutine Gather_field_u(field_loc,field_glo,ll)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    implicit none
      integer :: ll
@@ -1778,6 +1770,5 @@
    subroutine Gather_field_v(field_loc,field_glo,ll)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    implicit none
      integer :: ll
@@ -1808,6 +1799,5 @@
    subroutine Scatter_field_u(field_glo,field_loc,ll)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    implicit none
      integer :: ll
@@ -1844,6 +1834,5 @@
    subroutine Scatter_field_v(field_glo,field_loc,ll)
    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+   USE paramet_mod_h
    implicit none
      integer :: ll
Index: LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5285)
@@ -42,6 +42,5 @@
 
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -137,6 +136,5 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -161,6 +159,5 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -197,6 +194,5 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -230,6 +226,5 @@
      USE parallel_lmdz
      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5285)
@@ -13,6 +13,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/nxgraro2_loc.f90	(revision 5285)
@@ -20,6 +20,5 @@
   USE nxgraro2_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/parallel_lmdz.F90	(revision 5285)
@@ -87,6 +87,5 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
@@ -248,6 +247,5 @@
     SUBROUTINE create_distrib(jj_nb_new,d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -302,6 +300,5 @@
     SUBROUTINE Set_Distrib(d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -341,6 +338,5 @@
     SUBROUTINE copy_distrib(dist,new_dist)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -381,6 +377,5 @@
     SUBROUTINE get_current_distrib(d)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
@@ -399,6 +394,5 @@
     USE control_mod, only : ok_dyn_xios
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 
 #ifdef CPP_COUPLE
@@ -462,6 +456,5 @@
     subroutine Pack_Data(Field,ij,ll,row,Buffer)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
@@ -488,6 +481,5 @@
     subroutine Unpack_Data(Field,ij,ll,row,Buffer)
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
@@ -530,6 +522,5 @@
     USE Vampir
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
@@ -651,6 +642,5 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
@@ -733,6 +723,5 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
@@ -754,6 +743,5 @@
     USE lmdz_mpi
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-    USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+    USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/pression_loc.f90	(revision 5285)
@@ -13,6 +13,5 @@
   !
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/qminimum_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE strings_mod, ONLY: strIdx
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT none
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5285)
@@ -13,6 +13,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5285)
@@ -13,6 +13,5 @@
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5285)
@@ -14,6 +14,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5285)
@@ -33,6 +33,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !-----------------------------------------------------------------------
Index: LMDZ6/trunk/libf/dyn3dmem/times.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/times.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/times.f90	(revision 5285)
@@ -27,6 +27,5 @@
     USE parallel_lmdz
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5285)
@@ -12,6 +12,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   USE mod_filtreg_p
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/vitvert_loc.f90	(revision 5285)
@@ -9,6 +9,5 @@
   
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5285)
@@ -18,6 +18,5 @@
         min_qParent,min_qMass,min_ratio ! MVals et CRisi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
@@ -423,6 +422,5 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
@@ -894,6 +892,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5285)
@@ -35,6 +35,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltgen_mod.f90	(revision 5285)
@@ -17,6 +17,5 @@
   USE vlz_mod,ONLY : vlz_allocate 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5285)
@@ -15,6 +15,5 @@
         min_qParent,min_qMass,min_ratio ! MVals et CRisi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
@@ -429,6 +428,5 @@
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/write_field_loc.f90	(revision 5285)
@@ -38,6 +38,5 @@
     USE mod_hallo
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
@@ -106,6 +105,5 @@
     USE mod_hallo
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5285)
@@ -17,6 +17,5 @@
 
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 !
Index: LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5285)
@@ -18,6 +18,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
Index: LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5283)
+++ LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5285)
@@ -18,6 +18,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 implicit none
 
